Index: procedure.sh
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/procedure.sh,v
retrieving revision 1.4
diff -u -r1.4 procedure.sh
--- procedure.sh	25 Oct 2004 12:42:10 -0000	1.4
+++ procedure.sh	26 Oct 2004 13:00:41 -0000
@@ -1,6 +1,13 @@
 #!/bin/sh -x
 # 0 - Prerequis!!  gcc, make, perl, gnuplot, perl::XML::Simple (optionnel)
 
+source /mntb1/decugiss/seb2/dev/root/configure-flags.sh
+
+if [ "$CC" != "/mntb1/decugiss/seb2/dev/root/gcc" ];
+then echo Erreur dans le fichier de conf...;
+     exit 1;
+fi
+
 # Installation de gnuplot:
 which gnuplot
 if [ $? -eq 0 ];
@@ -39,7 +46,6 @@
 if [ "`uname -s`" = "AIX" ];
 then export PATH=/usr/vac/bin:/opt/freeware/bin:$PATH;
 export CC=cc;
-else export CC=gcc;
 fi 
 
 # 2 - Installer l environnement pour STP:
Index: STP/LDFLAGS.linux.gcc
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/STP/LDFLAGS.linux.gcc,v
retrieving revision 1.3
diff -u -r1.3 LDFLAGS.linux.gcc
--- STP/LDFLAGS.linux.gcc	25 Oct 2004 12:42:10 -0000	1.3
+++ STP/LDFLAGS.linux.gcc	26 Oct 2004 13:00:41 -0000
@@ -6,4 +6,5 @@
 #
 #For example,
 #-lpthread -D_GNU_SOURCE
--lpthread -lrt -lm -D_XOPEN_SOURCE=600
+-lpthread -lrt -lm -D_XOPEN_SOURCE=600 -Wl,-rpath,/mntb1/decugiss/seb2/dev/root/lib,-dynamic-linker,/mntb1/decugiss/seb2/dev/root/lib/ld-linux-ia64.so.2 -L/mntb1/decugiss/seb2/dev/root/lib -lc
+
Index: STP/posixtestsuite-20041001/Makefile
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/STP/posixtestsuite-20041001/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- STP/posixtestsuite-20041001/Makefile	25 Oct 2004 13:03:42 -0000	1.3
+++ STP/posixtestsuite-20041001/Makefile	26 Oct 2004 13:00:41 -0000
@@ -139,7 +139,7 @@
 
 $(top_builddir)/t0: $(top_builddir)/t0.c
 	@echo Building timeout helper files; \
-	$(CC) -O2 -o $@ $< ; \
+	$(CC) -O2 -o $@ $< $(LDFLAGS); \
 	echo `$(top_builddir)/t0 0; echo $$?` > $(top_builddir)/t0.val
 	
 %.run-test: %.sh
Index: stress/stress.sh
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/stress/stress.sh,v
retrieving revision 1.1
diff -u -r1.1 stress.sh
--- stress/stress.sh	21 Oct 2004 13:56:17 -0000	1.1
+++ stress/stress.sh	26 Oct 2004 13:00:41 -0000
@@ -14,7 +14,7 @@
 
 for TS in `ls -1 all/*.c`;
 do echo Compiling $TS:;
-$CC $CFLAGS -g -Wall -Icommon -o $TS.exe $TS $LDFLAGS -lpthread -lrt -lm > $TS.log 2>&1;
+$CC $CFLAGS -g -Wall -DSCALABILITY-FACTOR=5 -Icommon -o $TS.exe $TS $LDFLAGS -lpthread -lrt -lm > $TS.log 2>&1;
 if [ $? -eq 0 ];
 then echo Compilation OK, running in background \(`date +%H:%M:%S`\)... ;
 common/monitor 6 $TS.exe &> $TS.exe.log & 
